<?php
	echo '<h1>CODE PHP</h1>';
	highlight_file(basename(__FILE__));
	echo '<h1>RESULTATS</h1>';

	//////////////////////////////////////////////////////////////////////////
	// Création du tableau
	$lesUtilisateurs[0]['nom']='Sia PEI';
	$lesUtilisateurs[0]['mail']='ji@gmail.com';
	$lesUtilisateurs[0]['motDePasse']='jipei';
	$lesUtilisateurs[0]['age']=25;

	$lesUtilisateurs[1] = array(
		'nom'=>'Yawei CAI',
		'mail'=>'jawei@yahoo.com',
		'motDePasse'=>'yaweicai',
		'age'=>24
	);

	$lesUtilisateurs[] = array(
	'nom'=>'Zikeng PENG','mail'=>'zikeng@china.com','motDePasse'=>'zikeng','age'=>26);
	$lesUtilisateurs[] = array(			
	'nom'=>'Jiawen LI','mail'=>'jiawen@orange.fr','motDePasse'=>'jiawen','age'=>25);
	$lesUtilisateurs[] = array(
	'nom'=>'Xiaoyu LIU','mail'=>'xiowyu@gmail.fr','motDePasse'=>'liu','age'=>24);
	$lesUtilisateurs[] = array(
	'nom'=>'Olivier TRAN','mail'=>'tran@gmailcom','motDePasse'=>'olivier','age'=>23);

	//////////////////////////////////////////////////////////////////////////
	// Affichage
	echo '<h2>print_r $lesUtilisateurs</h2>';
	echo '<pre>'; print_r($lesUtilisateurs); 	echo '</pre>'; 

	echo '<h2>affichage non trié avec un foreach</h2>';
	foreach ($lesUtilisateurs as $unUtilisateur){
		 print_r($unUtilisateur); echo '<br/>';
	}

	echo '<h2>affichage non trié avec un for</h2>';
	for($i=0; $i<count($lesUtilisateurs);$i++){
		echo $lesUtilisateurs[$i]['nom']. '-' .$lesUtilisateurs[$i]['mail']. '-' .
			$lesUtilisateurs[$i]['motDePasse']. '-' .$lesUtilisateurs[$i]['age'];
		echo '<br/>';
	}

	//////////////////////////////////////////////////////////////////////////
	// tri du tableau par nom
	// on commence par fabriquer un tableau avec uniquement les noms
	foreach ($lesUtilisateurs as $indice => $unUtilisateur){
	    $lesNoms[$indice]  = $unUtilisateur['nom'];
	}
	// la fonction arry multisort tri avec le tableau à trié et le tableau de la colonne à trié 
	array_multisort($lesNoms, SORT_DESC, $lesUtilisateurs);

	echo '<h2>affichage trié par nom décroissant</h2>';
	foreach ($lesUtilisateurs as $unUtilisateur){
		echo $unUtilisateur['nom']. '-' .$unUtilisateur['mail']. '-' .
			$unUtilisateur['motDePasse']. '-' .$unUtilisateur['age'];
		echo '<br/>';
	}

	//////////////////////////////////////////////////////////////////////////
	// tri du tableau par age
	// on commence par fabriquer un tableau avec uniquement les ages
	foreach ($lesUtilisateurs as $indice => $unUtilisateur){
	    $lesAges[$indice]  = $unUtilisateur['age'];
	}
	// la fonction arry multisort tri avec le tableau à trié et le tableau de la colonne à trié 
	array_multisort($lesAges, SORT_ASC, $lesUtilisateurs);

	echo '<h2>affichage trié par age croissant</h2>';
	foreach ($lesUtilisateurs as $unUtilisateur){
		echo $unUtilisateur['nom']. '-' .$unUtilisateur['mail']. '-' .
			$unUtilisateur['motDePasse']. '-' .$unUtilisateur['age'];
		echo '<br/>';
	}

	//////////////////////////////////////////////////////////////////////////
	// tri du tableau par age et nom
	array_multisort($lesAges, SORT_DESC, $lesNoms, SORT_ASC, $lesUtilisateurs);

	echo '<h2>affichage trié par age décroissant et nom croissant</h2>';
	foreach ($lesUtilisateurs as $unUtilisateur){
		echo $unUtilisateur['nom']. '-' .$unUtilisateur['mail']. '-' .
			$unUtilisateur['motDePasse']. '-' .$unUtilisateur['age'];
		echo '<br/>';
	}


?>